Redmine - Feature #31879

"starts with" and "ends with" filter operators for string values

2019-08-12 05:52 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Issues filter Estimated time: 0.00 hour
Target version: 4.1.0

Resolution: Fixed

Description

| propose adding "start with" and "end with" operators.

Currently, issues filter supports "contains", "doesn't contain”, "
with" and "end with".

none"

, and "any" operators for string values but does not support "start

These two operators should increase the flexibility of issues filter. For example, you can extract issues which have some prefix or

suffix in the subject.

Related issues:
Related to Redmine - Feature #3040: Extend filter on subject field

Closed 2009-03-24

Associated revisions

Revision 18534 - 2019-09-25 18:24 - Go MAEDA

"starts with" and "ends with" filter operators for string values (#31879).

Patch by Yuichi HARADA.

Revision 18535 - 2019-09-25 18:31 - Go MAEDA
Update locales (#31879).

Revision 18570 - 2019-09-30 15:15 - Go MAEDA
Add support for "start with" and "end with" operators to "Files" filter (#31879)

Patch by Yuichi HARADA.

History

#1 - 2019-08-12 05:56 - Go MAEDA
- Related to Feature #3040: Extend filter on subject field added

#2 - 2019-09-19 04:04 - Yuichi HARADA
- File 31879 _add filter_operators.patch added

| added "starts with" and "ends with" filter operators. These filter operator symbols mimics the CSS selectors.
https://developer.mozilla.org/en-US/docs/Web/CSS/Attribute_selectors#Syntax

e starts with : "=
® ends with : $=

| attached a patch.

#3 - 2019-09-19 17:21 - Go MAEDA

- Target version set to Candidate for next major release

#4 - 2019-09-21 11:06 - Marius BALTEANU
Yuichi HARADA wrote:

| added "starts with" and "ends with" filter operators. These filter operator symbols mimics the CSS selectors.
https://developer.mozilla.org/en-US/docs/Web/CSS/Attribute_selectors#Syntax

https://developer.mozilla.org/en-US/docs/Web/CSS/Attribute _selectors#Syntax

e starts with : "=
e ends with : $=

| attached a patch.

Why not just #/$ which are used in regex syntax or Lucene syntax? Using CSS selector syntax for text searching is not common.

#5 - 2019-09-21 16:41 - Go MAEDA
- File 31879_add _filter_operators-v2.patch added

Marius BALTEANU wrote:

Why not just #/$ which are used in regex syntax or Lucene syntax? Using CSS selector syntax for text searching is not common.

Nice idea. | have updated the patch.

#6 - 2019-09-25 18:24 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

- Resolution set to Fixed

Committed the patch. Thank you for improving Redmine.

#7 - 2019-09-30 10:21 - Yuichi HARADA
- File 31879 _add filter_operators_attachment.patch added

| added "starts with" and "ends with" filter operators to File filter, but didn't create an implementation.
| created a patch.

#8 - 2019-09-30 10:26 - Go MAEDA

- Status changed from Closed to Reopened

#9 - 2019-09-30 15:16 - Go MAEDA

- Status changed from Reopened to Closed

Yuichi HARADA wrote:

| added "starts with" and "ends with" filter operators to File filter, but didn't create an implementation.

Committed the fix in r18570. Thank you.

Files

31879_add_filter_operators.patch 3.96 KB 2019-09-19 Yuichi HARADA
31879_add_filter_operators-v2.patch 4 KB 2019-09-21 Go MAEDA
31879_add_filter_operators_attachment.patch 1.77 KB 2019-09-30 Yuichi HARADA
